Isi
Indeks 🔎︎

# Pernyataan Function

Menentukan subrutin yang dapat digunakan sebagai ekspresi untuk menentukan tipe kembali.

## Sintaksis

lihat Parameter

## Parameter:

Sintaksis

Nama Fungsi [(VarName1 [As Type] [, VarName2 [As Type] [, ...]]]) [As Type]

blok pernyataan

[Fungsi Keluar]

blok pernyataan

End Function

Parameter

Nama: Nama subrutin yang mengandung nilai yang dikembalikan oleh fungsi.

VarNama:Parameter untuk diteruskan ke subrutin.

Ketik: Ketikkan kata kunci deklarasi.

## Contoh:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        Untuk siStep = 0 Sampai 10' mengisi array dengan data uji
            sListArray(siStep) = chr$(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    'Linsearch mencari TeksArray:sList() untuk EntriTeks:
    ' Nilai Kembali adalah indeks entri Atau 0 (Nol)
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                Keluar Untuk ' sltem ditemukan
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function